Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftBuilderSpec

    java.lang.Object
      com.stc.swift.builder.SwiftBuilderSpec

All Implemented Interfaces:
  com.stc.otd.builder.OtdBuilderSpec

    public class SwiftBuilderSpec

extends java.lang.Object
implements com.stc.otd.builder.OtdBuilderSpec

This class implements Swift connection information.

Version:
  $Revision: 1.2 $

Field Summary
`static java.lang.String` | `GUIPROP_SWIFT_DESC_FILE` GUI property for Swift Description File
`static java.lang.String` | `GUIPROP_SWIFT_TYPE` GUI property for Swift Description File
`static java.lang.String` | `GUIPROP_SWIFT_VERSION` GUI property for Swift Description File

Constructor Summary
`SwiftBuilderSpec()` Constructor
`SwiftBuilderSpec(java.util.Properties prop)` Constructor
`SwiftBuilderSpec(java.lang.String descFile)` Constructor

Method Summary
`java.lang.String` | `getOtdName()` Return the name of the Swift OTD
`java.util.Map` | `getProperties()` returns a Map set of the properties
`java.lang.Object` | `getProperty(java.lang.String name)` returns Object identifying the value of a property
`java.util.Iterator` | `getPropertyNames()` returns an iterator to iterate through all the properties of a specific OtdContextSpec.
`java.io.File` | `getSwiftDescFile()` Gets the Swift Description File object
`java.lang.String` | `getSwiftType()` Getter for SwiftType attribute of the SwiftBuilderSpec object
`java.lang.String` | `getSwiftVersion()` Getter for SwiftVersion attribute of the SwiftBuilderSpec object
`boolean` | `hasSwiftType()` Checks to see if swiftType is populated
`boolean` | `hasSwiftVersion()` Checks to see if swiftVersion is populated
`void` | `setOtdName(java.lang.String otdName)` Set the name of the Swift OTD
`void` | `setProperties(java.util.Properties props)` Sets properties using a property file
`void` | `setProperty(java.lang.String name, java.lang.Object value)` sets Object identifying the value of a property
`void` | `setSwiftDescFile(java.lang.String aInputFileName)` Sets the Swift Description File object
`void` | `setSwiftType(java.lang.String swiftType)` Setter for SwiftType attribute of the SwiftBuilderSpec object
`void` | `setSwiftVersion(java.lang.String swiftVersion)` Setter for SwiftVersion attribute of the SwiftBuilderSpec object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GUIPROP_SWIFT_DESC_FILE

    public static final java.lang.String GUIPROP_SWIFT_DESC_FILE

  GUI property for Swift Description File

  See Also:
    Constant Field Values

### GUIPROP_SWIFT_VERSION

    public static final java.lang.String GUIPROP_SWIFT_VERSION

  GUI property for Swift Description File

  See Also:
    Constant Field Values

### GUIPROP_SWIFT_TYPE

    public static final java.lang.String GUIPROP_SWIFT_TYPE

  GUI property for Swift Description File

  See Also:
    Constant Field Values

Constructor Detail

### SwiftBuilderSpec

    public SwiftBuilderSpec()

  Constructor

### SwiftBuilderSpec

    public SwiftBuilderSpec(java.lang.String descFile)

  Constructor

  Parameters:
    `descFile` - Full path name of the Swift Description file

### SwiftBuilderSpec

    public SwiftBuilderSpec(java.util.Properties prop)

  Constructor

  Parameters:
    `prop` - Sets properties using a property file

Method Detail

### getSwiftVersion

    public java.lang.String getSwiftVersion()

  Getter for SwiftVersion attribute of the SwiftBuilderSpec object

  Returns:
    Swift Version

### setSwiftVersion

    public void setSwiftVersion(java.lang.String swiftVersion)

  Setter for SwiftVersion attribute of the SwiftBuilderSpec object

  Parameters:
    `swiftVersion` - Swift Version

### hasSwiftVersion

    public boolean hasSwiftVersion()

  Checks to see if swiftVersion is populated

  Returns:
    if connection has swiftVersion

### getSwiftType

    public java.lang.String getSwiftType()

  Getter for SwiftType attribute of the SwiftBuilderSpec object

  Returns:
    Swift Type

### setSwiftType

    public void setSwiftType(java.lang.String swiftType)

  Setter for SwiftType attribute of the SwiftBuilderSpec object

  Parameters:
    `swiftType` - Swift Type

### hasSwiftType

    public boolean hasSwiftType()

  Checks to see if swiftType is populated

  Returns:
    if connection has swiftType

### getSwiftDescFile

    public java.io.File getSwiftDescFile()

  Gets the Swift Description File object

  Returns:
    The SwiftDescription File object

### setSwiftDescFile

    public void setSwiftDescFile(java.lang.String aInputFileName)

  Sets the Swift Description File object

  Parameters:
    `aInputFileName` - The string name of the Swift Description File

### getOtdName

    public java.lang.String getOtdName()

  Return the name of the Swift OTD

  Returns:
    OTD name

### setOtdName

    public void setOtdName(java.lang.String otdName)

  Set the name of the Swift OTD

  Parameters:
    `otdName` - name

### getPropertyNames

    public java.util.Iterator getPropertyNames()

  returns an iterator to iterate through all the properties of a specific OtdContextSpec.

  Specified by:
    `getPropertyNames` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Returns:
    Iterator list of property names

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  returns Object identifying the value of a property

  Specified by:
    `getProperty` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Parameters:
    `name` - Name of the Project
  Returns:
    Object identifying the value of a property

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  sets Object identifying the value of a property

  Specified by:
    `setProperty` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Parameters:
    `name` - Name of the property
    `value` - Object to be stored

### getProperties

    public java.util.Map getProperties()

  returns a Map set of the properties

  Returns:
    Map object of properties

### setProperties

    public void setProperties(java.util.Properties props)

  Sets properties using a property file

  Parameters:
    `props` - Properties object containing builder specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.